Subject: bug#28510: crash: guix build -S foo --with-source=bla

From: Vincent Legoll <[email-masked]>
Date: Wed, 10 Jul 2024 20:28:17 +0000

Hello Simon,

On Wed, Jul 10, 2024 at 6:40 PM Simon Tournier <[email-masked]>
wrote:

> I removed the tag easy.

Thanks

> Well, I still think it’s an easy fix because to
> me the issue is not the failure of “guix build --source foo
> --with-source=bar” but the poor error handling.  However, if the aim to
> be able to pass such command-line, then indeed that’s not easy because
> it’s about some guarantee that the transformation is sound and that’s
> hard for the generic case, IMHO.
>

Well let's hope few such easy bugs linger for so long without being fixed
;-)

-- 
Vincent Legoll